Bug 202331 - imlib supplied libgdk_imlib.so causes "undefined symbol" messages
imlib supplied libgdk_imlib.so causes "undefined symbol" messages
Product: Fedora
Classification: Fedora
Component: imlib (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
Depends On:
Blocks: FE7Target
  Show dependency treegraph
Reported: 2006-08-12 18:08 EDT by Michal Jaegermann
Modified: 2008-01-23 12:56 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.9.15-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-23 12:56:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2006-08-12 18:08:39 EDT
Description of problem:

After 'ldd -d -r libgdk_imlib.so" one get 21 of "undefined symbol"
mesages.  It appears that they mostly come from not linked libgdk
with an exception of 'pow', i.e. missing -lm.

"The libraries work, but less efficiently than they could if they
were linked properly".

Version-Release number of selected component (if applicable):
Comment 1 Paul Howarth 2007-04-03 06:51:47 EDT
Should be fixed in 1.9.15-1.fc7; this version should also address the opposite
issue of some libraries being linked against unnecessarily for some of the
shared objects in the package.
Comment 2 Paul Howarth 2008-01-23 12:56:59 EST
Fixed long ago.

Note You need to log in before you can comment on or make changes to this bug.